function [l,u] = GPreachT(rm,obs,obs1,H0,aux)
%obs must be the size of the number of variables


n = size(obs,1);
Hdim = size(H0,1);
lower = ones(Hdim,1);
upper = ones(Hdim,1);


for i=1:Hdim  
    ub =  aux.upper_bound(i);
    lb =  aux.lower_bound(i);
    O = 0;
    O1 = 0;
    for j=1:n
        O = O + H0(i,j)*obs(j,:);
        O1 = O1 +  H0(i,j)*obs1(j,:,:);
    end
    rm = rm.changeObs(O,O1,rm);
    l = inf;
    u = -inf;
    for j=1:rm.gridsize
       [~,ll,uu] = rm.predictGrid(j,rm);
       if ll<l, l=ll; end
       if uu>u, u=uu; end   
    end
    lower(i) = max(l,lb);
    upper(i) = min(u,ub);
end


H = [ H0;
     -H0];
K=[upper;-lower];

% disp('Done');
% disp(H0);
% disp([lower,upper]);


l = lower(1:n);
u = upper(1:n);

end
