function [ stdev ] = bootstrap( X,stat, samples )
%bootstrap computes bootstrap from data X (a vector of data points) of
%the statistics stat

N = length(X);

%bootstrap estimate of the std
boot = zeros(samples, 1);
for i=1:samples
    %resampling data
    X1 = datasample(X,N);
    boot(i) = stat(X1);
end;
stdev = std(boot);

end

