function gridVals = regularGrid(n,range)
%regularGrid Generates a fixed grid, with n(i) points per parameter,
%each equispaced between minrange and maxrange

k = size(range,1);
step = (range(k,2) - range(k,1))/(n(k)-1);
aux = range(k,1):step:range(k,2);
k = k-1;
while k > 0
    step = (range(k,2) - range(k,1))/(n(k)-1);
    a = range(k,1):step:range(k,2);
    auxN = [];
    m = size(aux,2);
    for i=1:n;
        auxN = [auxN, [a(i)*ones(1,m);aux]];
    end
    aux = auxN;
    k = k-1;
end
gridVals = aux';
end

