function [ y,dy ] = simulateModelAtTP( model, time, point, weight, options  )
%simulateModelAtTP function to simulate a model at a given time and for a
%given input point.
% weigth is a vector of weights
if iscolumn(weight)
    weight = weight';
end
if iscolumn(point)
    point= point';
end
options1 = options;
options1.final_time = time;
options1.time_points = 1;
[ ~ ,obs,obs1 ] = simulateModel( model, point, options1);
y = weight*obs(:,1,end);
dy = (weight*obs1(:,1:(end-1),1,end))';

end

