function [ y,dy ] = simulateModelAtP( model, point, weight, options  )
%simulateModelAtP function to simulate a model at a given time and for a
%given input point.
% weigth is a vector of weights
if iscolumn(weight)
    weight = weight';
end
options1 = options;
options1.final_time = point(end);
options1.time_points = 1;
[ ~ ,obs,obs1 ] = simulateModel( model, point(1:(end-1)), options1);
y = weight*obs(:,1,end);
dy = (weigth*obs1(:,1:(end-1),1,end))';

end

